//----------------------------------------------------------------------------
//
// DETL - A template library 1.0 beta
//
// Douglas Eleveld (D.J.Eleveld@anest.azg.nl)
//
//----------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Header file of list of arguments
//------------------------------------------------------------------------------
#ifndef ARGUMENTS_HEADER
#define ARGUMENTS_HEADER
//------------------------------------------------------------------------------
class arguments
			{
			private:
               int argc;
               char **argv;

			protected:

			public:
					// Constructors
					arguments (void) : argc(0), argv(0) { };

               // Initialization
					void init (int na, char **ar) { argc = na; argv = ar; };

               // Ask if an argument was given
               int contains (const char*);
               bool contains (const char*, const char*);
               const char* get (const char*);

               // Get the program name
               const char *program_name (void);
			};
//------------------------------------------------------------------------------
// Globally visible program arguments
extern arguments program_arguments;

//----------------------------------------------------------------------------
#endif
