// Complete testing of grauanteed_delete class

#include <iostream.h>
#include "guar_del.h"


class user_class
   :private guaranteed_delete  // This guarantees that the object will be
                               // deleted at program exit
   {
   private:
          const char *mess;

   public:
          // Some constructor and destructors to show waht is called
          user_class (const char *m) : mess(m)
             {
             cout << mess << " -> constructor\n";
             };
          ~user_class (void)
             {
             cout << mess << " -> destructor\n";
             };
   };

int main (void)
   {
   cout << "\n\nVerifying graranteed_delete class operation...\n";

   cout << "First initialise the guaranteed_delete class\n";
   guaranteed_delete::init();

   cout << "Now create a class with new\n";
   user_class *one = new user_class("user class created with new");

   cout << "Now declare a normal class object\n";
   user_class two("user class created on the stack");

   // Stop unused variable warnings
   one = one;
   two = two;

   cout << "Now lets exit and forget about freeing\n";
   cout << "and it will be done automatically\n";

   return 0;
   }


